Retrieves the equipment_model object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
equipment_model| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| name |
Name of the equipment model |
string |
Required Max length: 50 |
| description |
Description of the equipment model |
string | |
| equipment_brand_id |
FK Of Equipment brand |
globally unique identifier | |
| equipment_brand_code |
Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model |
string | |
| equipment_brand |
Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model |
equipment_brand | |
| equipment_family_id |
FK Of equipment_family |
globally unique identifier | |
| equipment_family_code |
Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model |
string | |
| equipment_family |
Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model |
equipment_family | |
| date_in_production_since |
Date in production since |
date | |
| date_out_of_production_since |
Date Out Of production since |
date | |
| date_end_support |
Date end support |
date | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating equipment_model |
sales_organization | |
| replacement_period_nb_months |
replacement_period_nb_months |
integer | |
| warranty_period_nb_months |
warranty_period_nb_months |
integer | |
| translations |
List of translation of specific field name |
Collection of translation | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "0651098f-3a66-433f-b190-2a36d78aeb75",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "ddac6319-8c57-4177-8edc-32f32f4bc3ce",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "6a666091-1327-4da7-ab09-f82227aca7a4",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "0efba5d9-f5e6-4d00-8478-824ed3e2c487",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "4ee680b1-7ac3-4e17-8fab-90561156e677",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "82bff303-982c-457a-aa28-0d4f5743f0af",
"db_currency_id": "fc95da2b-38fe-4ee0-9bba-5b469ceb46a4",
"db_language_id": "fbb4c410-5d3e-4f2b-a35e-9979a2a353b3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T20:31:14.4401234+00:00"
},
"modified_dateutc": "2026-11-16T20:31:14.4401234+00:00"
},
"equipment_family_id": "e604472f-bf9c-4b47-9ec8-2077831dc5e0",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "dc0227c0-877e-4f73-bf39-fd91fec14331",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "80feeaac-bf9c-4ef2-8cb5-e39794f43ccc",
"_parent_code": "sample string 6",
"sales_organization_id": "3553b9ec-cb1c-410a-9195-aabfd22b3cf7",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "4ee680b1-7ac3-4e17-8fab-90561156e677",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "82bff303-982c-457a-aa28-0d4f5743f0af",
"db_currency_id": "fc95da2b-38fe-4ee0-9bba-5b469ceb46a4",
"db_language_id": "fbb4c410-5d3e-4f2b-a35e-9979a2a353b3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T20:31:14.4401234+00:00"
},
"modified_dateutc": "2026-11-16T20:31:14.4401234+00:00"
},
"date_in_production_since": "2026-11-16T20:31:14.4401234+00:00",
"date_out_of_production_since": "2026-11-16T20:31:14.4401234+00:00",
"date_end_support": "2026-11-16T20:31:14.4401234+00:00",
"sales_organization_id": "e96ec09c-9216-42c1-a329-0ec00be562c9",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "4ee680b1-7ac3-4e17-8fab-90561156e677",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "82bff303-982c-457a-aa28-0d4f5743f0af",
"db_currency_id": "fc95da2b-38fe-4ee0-9bba-5b469ceb46a4",
"db_language_id": "fbb4c410-5d3e-4f2b-a35e-9979a2a353b3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T20:31:14.4401234+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-16T20:31:14.4401234+00:00"
}